
/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "kconfig.h"

KConfig::KConfig(QString file,Domain d) : Config(file,d)
{
}

KConfig::~KConfig()
{
}

bool KConfig::hasGroup(QString )
{
  return 1;
}


QPoint KConfig::readPointEntry(QString name,QPoint *p)
{
  QValueList<int> list=readIntListEntry(name);
  if (list.count()<2)
  {
    return *p;
  }
  return QPoint(list[0],list[1]);
}

double KConfig::readDoubleNumEntry(QString name,double d)
{
  QString deflt;
  deflt.setNum(d);
  QString s=readEntry(name,deflt);
  return s.toDouble();
}

QValueList<int> KConfig::readIntListEntry(QString name)
{
  QValueList<int> list;
  QStringList strlist=readListEntry(name);
  for ( QStringList::Iterator it = strlist.begin(); it != strlist.end(); ++it )
  {
    list.append((*it).toInt());
  }
  return list;
}


QStringList KConfig::readListEntry(QString name)
{
  return Config::readListEntry(name,QChar(','));
}
