
/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <qpe/qpeapplication.h>
#include <qstring.h>
#include <qtextcodec.h>
#include <qtranslator.h>

#include "zauralign.h"

#undef GRAB_KEYBOARD

int main(int argc, char *argv[])
{
  QPEApplication a(argc, argv);
  //  a.setFont(QFont("helvetica", 12));
  QTranslator tor( 0 );
  // set the location where your .qm files are in load() below as the last parameter instead of "."
  // for development, use "/" to use the english original as
  // .qm files are stored in the base project directory.
  tor.load( QString("zauralign.") + QTextCodec::locale(), "." );
  a.installTranslator( &tor );

  #ifdef GRAB_KEYBOARD
  a.grabKeyboard();
  #endif
    
  ZauralignApp mainwindow(&a);
  a.setStylusOperation(&mainwindow,QPEApplication::LeftOnly);
  a.setInputMethodHint(&mainwindow,QPEApplication::AlwaysOff);
  a.showMainWidget(&mainwindow,false);


  bool result=a.exec();
  #ifdef GRAB_KEYBOARD
  a.ungrabKeyboard();
  #endif
  return result;
}


